diff options
author | Erich Eckner <git@eckner.net> | 2017-11-28 14:42:38 +0100 |
---|---|---|
committer | Erich Eckner <git@eckner.net> | 2017-11-28 14:42:38 +0100 |
commit | ac2d1aab5b78b88775e239403a6793c244230b79 (patch) | |
tree | acaafa6c06e2201fe374d545906ed2d7c9d87edf /bin/delete-packages | |
parent | 889c4aa5502eba27fa9775459ffe7157c6882183 (diff) | |
download | builder-ac2d1aab5b78b88775e239403a6793c244230b79.tar.xz |
bin/db-update, bin/delete-packages: exit with 0 in case lock cannot be acquired
Diffstat (limited to 'bin/delete-packages')
-rwxr-xr-x | bin/delete-packages | 6 |
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/delete-packages b/bin/delete-packages index 124e403..f95fb8e 100755 --- a/bin/delete-packages +++ b/bin/delete-packages @@ -77,19 +77,19 @@ if ! ${no_action}; then exec 9> "${build_list_lock_file}" if ! flock ${block_flag} 9; then >&2 echo 'come back (shortly) later - I cannot lock build list.' - exit 1 + exit 0 fi exec 8> "${package_database_lock_file}" if ! flock ${block_flag} 8; then >&2 echo 'come back (shortly) later - I cannot lock package database.' - exit 1 + exit 0 fi exec 7> "${sanity_check_lock_file}" if ! flock -s ${block_flag} 7; then >&2 echo 'come back (shortly) later - sanity-check running.' - exit 1 + exit 0 fi fi |